GET Get enrollment progress
Retrieve detailed module-level progress tracking with completion status and timestamps
Retrieve detailed module-level progress tracking with completion status and timestamps
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Unique identifier of the enrollment
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/course-enrollments/{id}/progress"{ "data": { "modules": [ { "module_id": "{module_id}", "module_title": "string", "sequence_order": 0, "status": "string", "completed": true, "progress_percentage": 0, "started_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "last_activity_at": "2019-08-24T14:15:22Z", "time_spent_seconds": 0 } ] }, "meta": { "enrollment_id": "{enrollment_id}", "organization_id": "{organization_id}" }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}